org.apache.cassandra.db.compaction

## Interface CompactionManager.CompactionExecutorStatsCollector

- All Known Implementing Classes:
    CompactionMetrics, SSTableSplitter.StatsCollector
  Enclosing class:
    CompactionManager

      public static interface CompactionManager.CompactionExecutorStatsCollector

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginCompaction(CompactionInfo.Holder ci)`
    `void` | `finishCompaction(CompactionInfo.Holder ci)`

- - ### Method Detail

    - #### beginCompaction

          void beginCompaction(CompactionInfo.Holder ci)

    - #### finishCompaction

          void finishCompaction(CompactionInfo.Holder ci)

Copyright © 2018 The Apache Software Foundation